/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	nn.h,v $
 * Revision 2.2  93/08/10  13:21:04  mrt
 * 	First checkin to Mach 3.0 RCS tree
 * 
 * Revision 2.1  90/10/27  20:45:29  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.4  89/05/02  11:14:39  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 * 23-Dec-86  Robert Sansom (rds) at Carnegie Mellon University
 *	Started.
 *
 */
/*
 * nn.h
 *
 *
 * $Header: nn.h,v 2.2 93/08/10 13:21:04 mrt Exp $
 *
 */

/*
 * External definitions for the network name service module.
 */


#ifndef	_NN_
#define	_NN_

#include <mach/boolean.h>

extern boolean_t netname_init();
/*
*/

extern void nn_remove_entries();
/*
port_t	port_id;
*/

#endif	_NN_
