/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	portcheck.h,v $
 * Revision 2.2  93/08/10  13:22:49  mrt
 * 	First checkin to Mach 3.0 RCS tree
 * 
 * Revision 2.1  90/10/27  20:45:48  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.5  89/05/02  11:16:01  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 *  6-May-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Removed pc_checkup_interval - now obtained from param record.
 *
 * 19-Nov-86  Sanjay Agrawal (agrawal) and Healfdene Goguen (hhg) at Carnegie Mellon University
 *	Started.
 */
/*
 * portcheck.h
 *
 *
 * $Header: portcheck.h,v 2.2 93/08/10 13:22:49 mrt Exp $
 */

/*
 * Definitions exported by the port checkups module.
 */


#ifndef _PORTCHECK_
#define _PORTCHECK_

#include <mach/boolean.h>

extern boolean_t pc_init();

#endif _PORTCHECKUPS_
